## python-ceres 0.10.0~git20130913

=== requirements.txt ===
nose==1.2.1
mock==1.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ceres.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ceres.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ceres"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ceres"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-ceres (0.10.0~git20130913-1) unstable; urgency=low

  * Initial release. (Closes: #693557)

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Fri, 13 Sep 2013 20:04:24 +0200

=== debian/control ===
Source: python-ceres
Section: python
Priority: optional
Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>,
 Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.4
Homepage: https://github.com/graphite-project/ceres
Vcs-Git: git://anonscm.debian.org/pkg-graphite/packages/python-ceres.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-graphite/packages/python-ceres.git;a=summary

Package: python-ceres
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-whisper
Suggests: python-rrdtool, graphite-carbon
Description: database engine for fast, reliable fixed-sized databases
 Ceres is the next generation database engine after Whisper from the Graphite
 project for fast, reliable fixed-sized databases database tool (RRDtool).
 Ceres is used by the Graphite scalable real time graphing system to store
 time-series data for later display.

=== debian/watch ===
version=2
http://pypi.python.org/packages/source/c/ceres/ceres-(.+)\.tar\.gz

## python-ceres 0.10.0~git20150525

=== debian/changelog ===
python-ceres (0.10.0~git20150525-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 0.10.0~git20150525
  * changed package to pybuild tools
  * d/control:
    - bumped standards version to 3.9.6 (no changes needed)
    - changed my email address
  * d/watch: updated to pypi debian watch service

 -- Jonas Genannt <genannt@debian.org>  Mon, 25 May 2015 17:14:59 +0200

=== debian/control ===
Source: python-ceres
Section: python
Priority: optional
Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
Uploaders: Jonas Genannt <genannt@debian.org>,
           Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/graphite-project/ceres
Vcs-Git: git://anonscm.debian.org/pkg-graphite/packages/python-ceres.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-graphite/packages/python-ceres.git;a=summary

Package: python-ceres
Architecture: all
Depends: python-whisper, ${misc:Depends}, ${python:Depends}
Suggests: graphite-carbon, python-rrdtool
Description: database engine for fast, reliable fixed-sized databases
 Ceres is the next generation database engine after Whisper from the Graphite
 project for fast, reliable fixed-sized databases database tool (RRDtool).
 Ceres is used by the Graphite scalable real time graphing system to store
 time-series data for later display.

=== debian/watch ===
version=3
http://pypi.debian.net/ceres/ceres-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
